/*
 * Created by DocJava, Inc.
 * User: lyon
 * Date: Mar 3, 2003
 * Time: 5:45:44 PM
 */
package sound.recorder;

import j2d.ImageProcessButton;
import j2d.ImageUtils;
import j2d.ShortImageBean;

import javax.swing.*;
import java.awt.*;

public class SpectrogramFrame extends JFrame {
    private ImageProcessButton ip =
            new ImageProcessButton(
                    getImage());

    public ImageProcessButton getImageProcessButton() {
        return ip;
    }
    public static void main(String[] args) {
        SpectrogramFrame sf = new SpectrogramFrame();
    }
    public static short getRandom(){
        return (short)(Math.random()*255);
    }
    public Image getImage(){
        ShortImageBean sib = new ShortImageBean(400,400);
        short r[][] = sib.getR();
        short g[][] = sib.getG();
        short b[][] = sib.getB();
        for (int x=0; x < r.length; x++)
            for (int y=0; y<r[0].length;y++){
                int xc = x - 200;
                int yc = y - 200;
                if ((xc*xc + yc*yc)< 10000){
                    r[x][y] = getRandom();
                    g[x][y]=getRandom();
                    b[x][y]=getRandom();
                }
            }
        return sib.getImage();
    }

    public SpectrogramFrame() {
        Container c = super.getContentPane();
        gui.layouts.PreferredSizeGridLayout
                lo = new gui.layouts.PreferredSizeGridLayout(0, 1);
        lo.setBoundableInterface(new
                gui.layouts.AspectBoundable());

        c.setLayout(lo);


        c.add(ip);
        setSize(200, 200);
        setDefaultCloseOperation(HIDE_ON_CLOSE);
        setVisible(true);
    }
}
